local Tablet = AceLibrary("Tablet-2.0")
agufFu = AceLibrary("AceAddon-2.0"):new("AceEvent-2.0", "AceConsole-2.0", "AceDB-2.0", "FuBarPlugin-2.0")
agufFu:RegisterDB("agufFuDB")


-- Set default menu options
agufFu.hasIcon = true
agufFu.hasNoColor = true
agufFu.clickableTooltip = false
agufFu.cannotDetachTooltip = true


-- Create an empty option subgroup which will hold all the basic dewdrop/fubar options
local injectMenu =
{	
	name = "FubarPlugin Options",
	desc = "Configure FubarPlugin options",
	type = 'group',
	args = 
	{
	}
}


-- Only display the basic fubar options when someone calls us via command line
agufFu:RegisterChatCommand( {"/agufFu"}, injectMenu)


-- Setup our menu
function agufFu:OnInitialize()
   -- Get a local copy of the aguf config menu
   local agufMenu = aUF:CreateMenu()
   -- remove aguf's hard-coded addon name in the dewdrop menu as we'll auto-insert it
   agufMenu.args.AddonHeader.name = " "
   -- Add our fubar options to our local copy of the menu
   agufMenu.args.fubar = injectMenu
   -- Inject it into the menu
   AceLibrary("AceConsole-2.0"):InjectAceOptionsTable(self, injectMenu)
   -- Set this menu to be what's show when someone clicks on the fubar plugin
   agufFu.OnMenuRequest = agufMenu
end


function agufFu:OnClick()
	aUF.db.profile["raid"].HideFrame=not aUF.db.profile["raid"].HideFrame;aUF:RAID_ROSTER_UPDATE();aUF:CallUnitMethods("UpdateAll",nil,"raid","type")
end


function agufFu:OnTextUpdate()
	self:SetText("agUF")
end


function agufFu:OnTooltipUpdate()
	Tablet:SetHint("\nLeft-click to show / hide raid frames\nRight-click to display menu")
end